#include "SaS_BWin.h"
#include <Application.h>
#include <Window.h>
#include <View.h>
#include <stdio.h>


main()
{	
	SApp	myApp;
	myApp.Run();
	return(0);
}

SApp::SApp()
		  		  : BApplication("application/x-vnd.Be-SaS")
{
	SWin		*aWin;
	BRect		aRect;

	// set up a rectangle and instantiate a new window
	aRect.Set(50, 50, 200, 200);
	aWin = new SWin(aRect);
	aWin->Show();
}

//SVIEW !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//=================================+++++++++++=======================
void SView::DrawIt(int k1,int k2)
{	
	BPoint P;
	for (float i=0;i<360;i=i+0.01)
	{
		P.Set((Bounds().right/2)*(1+sin(k1*i*3.14/180)),(Bounds().bottom/2)*(1+cos(k2*i*3.14/180)));	
		SetHighColor(255*P.x/Bounds().right,k1+k2,255*P.y/Bounds().bottom);	
		StrokeEllipse(P,0,0);		
	}
}
void 	SView::MouseDown(BPoint where)
{
 DrawIt(where.x,where.y);
}

SView::SView(BRect frame):BView(frame,NULL,B_FOLLOW_LEFT_RIGHT|B_FOLLOW_TOP_BOTTOM, B_WILL_DRAW)
{
 
}
 //------------------SWin CONSTRUCTOR---------------------------------------
//
SWin::SWin(BRect frame)
				: BWindow(frame, "SaS", B_UNTYPED_WINDOW, B_OUTLINE_RESIZE)
{
	view = new SView (Bounds());
	AddChild(view);
}
//-------------------------------------------------------------------------

bool SWin::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}



void SWin::MessageReceived(BMessage* message)
{

			BWindow::MessageReceived(message);
}
